<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'config.php';

aut();
if (!ctype_digit($_GET['nk'])){header('Location: index?'.SID);die;}
$nk = intval($_GET['nk']);


$select = @$db->sql_query ("Select * from users where id='".$nk."'");
$inf = $db->sql_fetchrow ($select);

if ($inf['id']!=$user['id'])$db->sql_query ("INSERT INTO oko (user_id,who_id,msg,time) VALUES ('$inf[id]','$user[id]','".check('Смотрит ваше X-Статус сообщение')."','$time')");

$xs = @$db->sql_query("SELECT * FROM `xstatus` WHERE `stat`='".$inf['xstatus']."' and user='".$nk."';");
$xstat = @$db->sql_fetchrow($xs);

$tyu="left";
$title="X-Статус ".$inf['user']."";
head();

if ($ver=='xhtml')echo '<div style="margin-left:2%">';

echo "<br />";
if ($xstat['name']==""){
$tm = time()-300;
$query = $db->sql_query("select * from users WHERE id = '".$nk."';");
$onl = @$db->sql_fetchrow($query);
if ($onl['onl']>$tm)
{

if ($inf['xstatus']==0)echo "<b>Онлайн</b><br />";
else if ($inf['xstatus']==1)echo "<b>Готов болтать</b><br/>";
else if ($inf['xstatus']==2)echo "<b>Не беспокоить</b><br/>";
else if ($inf['xstatus']==3)echo "<b>Болею</b><br/>";
else if ($inf['xstatus']==4)echo "<b>Депрессия</b><br/>";
else if ($inf['xstatus']==5)echo "<b>Думаю</b><br/>";
else if ($inf['xstatus']==6)echo "<b>Курю</b><br/>";
else if ($inf['xstatus']==7)echo "<b>Кушаю</b><br/>";
else if ($inf['xstatus']==8)echo "<b>Люблю</b><br/>";
else if ($inf['xstatus']==9)echo "<b>Смотрю тв</b><br/>";
else if ($inf['xstatus']==10)echo "<b>Слушаю музыку</b><br/>";
else if ($inf['xstatus']==11)echo "<b>В ванной</b><br/>";
else if ($inf['xstatus']==12)echo "<b>В туалете</b><br/>";
else if ($inf['xstatus']==13)echo "Занимаюсь сексом<br/>";
else if ($inf['xstatus']==14)echo "<b>Играю в игру</b><br/>";
else if ($inf['xstatus']==15)echo "<b>Пью пиво</b><br/>";
else if ($inf['xstatus']==16)echo "<b>Сонный</b><br/>";
}else{
echo "<b>Оффлайн</b><br />";
}

}else{
echo "<b>".text($xstat['name'])."</b><br />"; }
echo "<br />";
if ($xstat['content']=="")echo "Описания нет...<br />";
else
echo "".text($xstat['content'])."<br />";
if ($ver=='xhtml')echo '</div>';
echo '<br />';
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>
